Message: redhat 4.1.2 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None redhat 4.1.2 

Forum: Installation and Configuration
Date: 17 Dec, 2008
From: sauvestre <sauvestre>

Hi, My computer is now working under Red Hat 4.1.2-42 (unfortunetly, i am not master on this machine that is i am not responsible for this, this is a general configuration set-up from our software administration system)

gcc -v

Using built-in specs. Target: i386-redhat-linux Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-libgcj-multifile --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --with-cpu=generic --host=i386-redhat-linux Thread model: posix gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)

I would like to install geant4.9.1.p03 and the dilemnia is that if i read well i find:

"gcc is the compiler that is recommended for Geant4 on Linux. Users have also had success with gcc 4.1.1. You will not have success with earlier versions of gcc."

never mind, i tried it just to check what would be the bad new. And here it is. At the end of ./Configure -build

Building library management utility liblist ...
Libmap stage. Searching for GNUmakefiles and sorting ...
Weeding out paths and files ...
Making libname.map starter file ...
Making libname.map ...
  Reading library name map file...
  Reading dependency files...
  Checking for circular dependencies...
  Reordering according to dependencies...
  Writing new library map file...
Libraries installation completed !

####################################################
# Your Geant4 installation seems to be successful!
# To be sure please have a look into the log file:
# /cea/home/b2/sauves/geant4/geant4.9.1.p03/.config/bin/Linux-g++/g4make.log
####################################################

then ./Configure -install

On this machine the G4SYSTEM=Linux-g++ On this machine the G4INSTALL=/cea/home/b2/sauves/geant4/geant4.9.1.p03 On this machine the G4TMP=/cea/home/b2/sauves/geant4/geant4.9.1.p03/tmp On this machine the G4LIB=/cea/home/b2/sauves/geant4/geant4.9.1.p03/lib On this machine the G4LEVELGAMMADATA=/cea/home/b2/sauves/geant4/geant4.9.1.p03/data/PhotonEvaporation2.0 On this machine the G4RADIOACTIVEDATA=/cea/home/b2/sauves/geant4/geant4.9.1.p03/data/RadioactiveDecay3.2 On this machine the G4LEDATA=/cea/home/b2/sauves/geant4/geant4.9.1.p03/data/G4EMLOW5.1 On this machine the G4NEUTRONHPDATA=/cea/home/b2/sauves/geant4/geant4.9.1.p03/data/G4NDL3.12 On this machine the G4ABLADATA=/cea/home/b2/sauves/geant4/geant4.9.1.p03/data/G4ABLA3.0 On this machine the CLHEP_BASE_DIR=/cea/home/b2/sauves/CLHEP On this machine the CLHEP_INCLUDE_DIR=/cea/home/b2/sauves/CLHEP/include On this machine the CLHEP_LIB_DIR=/cea/home/b2/sauves/CLHEP/lib On this machine the CLHEP_LIB=CLHEP On this machine the G4ANALYSIS_USE=1 On this machine the G4VIS_BUILD_DAWN_DRIVER=1 On this machine the G4VIS_BUILD_VRML_DRIVER=1 On this machine the G4VIS_USE_DAWN=1 On this machine the G4VIS_USE_VRML=1 On this machine the G4LIB_BUILD_STATIC=1 On this machine the G4LIB_USE_GRANULAR=1

Starting installation...

tar: ./.config/README: time stamp 2008-12-17 14:51:31 is 2 s in the future
tar: .: time stamp 2008-12-17 14:51:32 is 3 s in the future

but no env.csh file in ~/geant4/geant4.9.1.p03

my question is:

What can i do?

When will it be possible to install geant4 with version of gcc ealier than 4.1.1? thanks in advance for any answer.

PS: Many clock skew during ./Configure -build despite 'touch' command as well as modification time structure in a near future for few class.

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 More: Re: redhat 4.1.2   (sauvestre - 17 Dec, 2008)
1 Ok: Re: redhat 4.1.2   (sauvestre - 19 Dec, 2008)
2 Ok: Re: redhat 4.1.2   (sauvestre - 19 Dec, 2008)
 Add Message Add Message
to: "redhat 4.1.2"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]